Summary: Dis45 - Interactive Histogram Browser
Name: dis45
%define version 1.36
Version: %{version}
%define SOVER %{version}
Release: 2b
%ifarch hppa1.1
%define PREFIX /jlc/local
%define SOEXT sl
%else
%define PREFIX /usr
#%define SOEXT so
%define SOEXT a
%endif
%define MANSEC 1
%define MANEXT 1
Copyright: PEP4/LBL and TOPAZ/KEK
Group: Applications/Math
Source: dis45-v%{version}.tar.gz
Packager: Keifuke Fujii <fujiik@jlcuxf.kek.jp>
BuildRoot: /tmp/dis45-root

%description
dis45 is a command-driven interactive histogram browsing program based
on CERN libraries.

%prep
%setup -n dis45-v%{version}
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{PREFIX}/X11R6
if [ -d %{PREFIX}/X11R6.1 ];then
  ln -sf $RPM_BUILD_ROOT%{PREFIX}/X11R6 $RPM_BUILD_ROOT%{PREFIX}/X11R6.1
fi      
if [ -d %{PREFIX}/X11R6.3 ];then
  ln -sf $RPM_BUILD_ROOT%{PREFIX}/X11R6 $RPM_BUILD_ROOT%{PREFIX}/X11R6.3
fi      
mkdir -p $RPM_BUILD_ROOT%{PREFIX}/X11R6/bin
mkdir -p $RPM_BUILD_ROOT%{PREFIX}/X11R6/lib
mkdir -p $RPM_BUILD_ROOT%{PREFIX}/X11R6/man/man%{MANSEC}
mkdir -p $RPM_BUILD_ROOT%{PREFIX}/lib

%build
xmkmf -a
make

%install
install -m 755 -o root -g sys dis45 $RPM_BUILD_ROOT%{PREFIX}/X11R6/bin
install -m 755 -o root -g sys cli/libCLI.%{SOEXT}* \
	$RPM_BUILD_ROOT%{PREFIX}/lib
install -m 755 -o root -g sys com/libCOM.%{SOEXT}* \
	$RPM_BUILD_ROOT%{PREFIX}/lib
install -m 755 -o root -g sys min45/libMIN.%{SOEXT}* \
	$RPM_BUILD_ROOT%{PREFIX}/lib
install -m 755 -o root -g sys src/libDISPLAY.%{SOEXT}* \
	$RPM_BUILD_ROOT%{PREFIX}/X11R6/lib
%ifarch hppa1.1
ln -s libCLI.%{SOEXT}.%{SOVER} $RPM_BUILD_ROOT%{PREFIX}/lib/libCLI.%{SOEXT}
ln -s libCOM.%{SOEXT}.%{SOVER} $RPM_BUILD_ROOT%{PREFIX}/lib/libCOM.%{SOEXT}
ln -s libMIN.%{SOEXT}.%{SOVER} $RPM_BUILD_ROOT%{PREFIX}/lib/libMIN.%{SOEXT}
ln -s libDISPLAY.%{SOEXT}.%{SOVER} $RPM_BUILD_ROOT%{PREFIX}/X11R6/lib/libDISPLAY.%{SOEXT}
%endif
install -m 644 -o root -g sys doc/dis45.1 $RPM_BUILD_ROOT%{PREFIX}/X11R6/man/man%{MANSEC}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{PREFIX}/X11R6/bin/dis45
%{PREFIX}/X11R6/lib/libDISPLAY.%{SOEXT}*
%{PREFIX}/X11R6/man/man%{MANSEC}/dis45.%{MANEXT}
%{PREFIX}/lib/libCLI.%{SOEXT}*
%{PREFIX}/lib/libCOM.%{SOEXT}*
%{PREFIX}/lib/libMIN.%{SOEXT}*
%doc doc/How-to-add-command doc/INSTALL doc/aaahistory.doc
%doc doc/commands.hlp doc/dis45.ps doc/display* doc/internal.*
%doc doc/minuit.hlp doc/release.note doc/plot
%doc doc/template.dis45rc 

%changelog
* Fri Dec 3 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- rebuilt with cernlib 2000.

